

function Proof(){
	
	
	
	
}


function forwardReasoningStep(reason, conclusion, rule){
	this.reason = reason;
	this.conclusion = conclusion;
	this.rule = rule;	
}

function backwardReasoningStep(reason, objective, newObjective, rule){
	this.reason = reason;
	this.objective = objective;
	this.newObjective = newObjective;
	this.rule = rule;	
}

function reasoningCell(newConstruction, highlight, statement, rule){
	this.highlightObject = highlight;
	this.newConstruction = newConstruction;
	this.statement = statement;
	this.rule = rule;	
}


function reason(){
	
	
}
